# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "asic-rs"
version = "0.4.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple ASIC management in Rust"
readme = "README.md"
license = "Apache-2.0"

[features]
antminer = ["dep:asic-rs-firmwares-antminer"]
avalonminer = ["dep:asic-rs-firmwares-avalonminer"]
bitaxe = ["dep:asic-rs-firmwares-bitaxe"]
braiins = ["dep:asic-rs-firmwares-braiins"]
default = [
    "antminer",
    "avalonminer",
    "bitaxe",
    "braiins",
    "epic",
    "luxminer",
    "marathon",
    "nerdaxe",
    "vnish",
    "whatsminer",
]
epic = ["dep:asic-rs-firmwares-epic"]
luxminer = ["dep:asic-rs-firmwares-luxminer"]
marathon = ["dep:asic-rs-firmwares-marathon"]
nerdaxe = ["dep:asic-rs-firmwares-nerdaxe"]
python = [
    "dep:pyo3",
    "dep:pyo3-async-runtimes",
    "dep:pyo3-introspection",
    "dep:pyo3-log",
    "asic-rs-makes-antminer/python",
    "asic-rs-makes-avalon/python",
    "asic-rs-makes-bitaxe/python",
    "asic-rs-makes-braiins/python",
    "asic-rs-makes-epic/python",
    "asic-rs-makes-nerdaxe/python",
    "asic-rs-makes-whatsminer/python",
    "asic-rs-makes-marathon/python",
    "asic-rs-firmwares-antminer/python",
    "asic-rs-firmwares-avalonminer/python",
    "asic-rs-firmwares-bitaxe/python",
    "asic-rs-firmwares-braiins/python",
    "asic-rs-firmwares-epic/python",
    "asic-rs-firmwares-luxminer/python",
    "asic-rs-firmwares-marathon/python",
    "asic-rs-firmwares-nerdaxe/python",
    "asic-rs-firmwares-vnish/python",
    "asic-rs-firmwares-whatsminer/python",
]
vnish = ["dep:asic-rs-firmwares-vnish"]
whatsminer = ["dep:asic-rs-firmwares-whatsminer"]

[lib]
name = "asic_rs"
crate-type = [
    "cdylib",
    "lib",
]
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.asic-rs-core]
version = "0.4.1"

[dependencies.asic-rs-firmwares-antminer]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-avalonminer]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-bitaxe]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-braiins]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-epic]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-luxminer]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-marathon]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-nerdaxe]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-vnish]
version = "0.4.1"
optional = true

[dependencies.asic-rs-firmwares-whatsminer]
version = "0.4.1"
optional = true

[dependencies.asic-rs-makes-antminer]
version = "0.4.1"

[dependencies.asic-rs-makes-avalon]
version = "0.4.1"

[dependencies.asic-rs-makes-bitaxe]
version = "0.4.1"

[dependencies.asic-rs-makes-braiins]
version = "0.4.1"

[dependencies.asic-rs-makes-epic]
version = "0.4.1"

[dependencies.asic-rs-makes-marathon]
version = "0.4.1"

[dependencies.asic-rs-makes-nerdaxe]
version = "0.4.1"

[dependencies.asic-rs-makes-whatsminer]
version = "0.4.1"

[dependencies.async-stream]
version = "0.3.6"

[dependencies.futures]
version = "0.3"

[dependencies.ipnet]
version = "2.12"

[dependencies.measurements]
version = "0.11"
features = ["serde"]

[dependencies.pyo3]
version = "0.28.2"
features = [
    "extension-module",
    "experimental-async",
    "experimental-inspect",
    "multiple-pymethods",
    "time",
]
optional = true

[dependencies.pyo3-async-runtimes]
version = "0.28.0"
features = [
    "tokio-runtime",
    "unstable-streams",
]
optional = true

[dependencies.pyo3-introspection]
version = "0.28.2"
optional = true

[dependencies.pyo3-log]
version = "0.13.3"
optional = true

[dependencies.rand]
version = "0.10"

[dependencies.rlimit]
version = "0.10"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.50"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.18"

[dependencies.tracing]
version = "0.1.44"
features = ["log"]

[lints.clippy]
expect_used = "warn"
panic = "warn"
unwrap_used = "warn"

[profile.release]
opt-level = 3
lto = "fat"
codegen-units = 1
panic = "unwind"
incremental = false
strip = true
